1. Events
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
    • Directory
      • Users List
      • Roles List
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
      • Surveys
        • Create Surveys
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
        • Post to Feed
        • Get Post Comments
        • Add Comments to Post
      • upload Media
    • Opportunities
      • Company and Services
        • Company and Services List
      • Fundaising Initiatives
        • Fundraising Initiatives List
      • Career Opportunities
        • Career Opportunities
    • Events
      • Event Post
        POST
      • Edit Events
        PUT
      • Delete Event
        DELETE
      • Event List
        GET
    • Media Center
      • Get Resources
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Remove users from Space
      DELETE
    • Community Details
      GET
    • Spaces List
      GET
    • Add Users to Space
      POST
  • Webhooks
    • Members
      • User joined
      • User join request
      • User join request approved
      • User join request declined
      • User left
      • User unbanned
      • User role changed
      • User profile updated
      • User invited
      • User invite declined
      • User verified
      • User questions answered
      • User nominated
      • Feedback submitted
    • Spaces
      • Space created
      • Space updated
      • Space deleted
      • User joined space
      • User left space
    • Events
      • Event created
      • Event registered
      • Event updated
      • Event cancelled
      • Event registration updated
      • Event registration cancelled
      • Event starting soon
      • Event attended
      • Event ended
    • Feed
      • Post created
      • Post updated
      • Post deleted
      • Post liked
      • Post unliked
      • Comment added
      • Post reported
      • Post approval requested
      • Post approved
      • Post rejected
      • Post shared
      • Post pinned
      • Post unpinned
      • Post scheduled
      • Comment deleted
      • Comment liked
      • Comment unliked
      • Comment reported
      • Poll voted
      • Survey responded
      • Poll ended
    • Live video
      • Live started
      • Live ended
      • Live joined
      • Live left
      • Live recording ready
    • Courses
      • Course published
      • Course updated
      • Course unpublished
      • Course enrolled
      • Lesson completed
      • Quiz submitted
      • Course completed
    • Newsletter
      • Newsletter subscriber added
      • Newsletter subscriber removed
      • Newsletter sent
      • Newsletter email opened
      • Newsletter email clicked
      • Newsletter email bounced
      • Newsletter email complained
    • Payments
      • Monetization subscription created
      • Monetization subscription renewed
      • Monetization subscription changed
      • Monetization subscription cancel scheduled
      • Monetization subscription resumed
      • Monetization subscription cancelled
      • Monetization payment failed
      • Monetization purchase completed
      • Monetization checkout abandoned
      • Monetization refund requested
      • Monetization refund issued
      • Offer reviewed
      • Offer sold out
    • Opportunities
      • Opportunity created
      • Opportunity updated
      • Opportunity deleted
      • Opportunity applied
    • Media
      • Media added
      • Media updated
      • Media deleted
      • Media shared
      • Media downloaded
    • Community
      • Community updated
      • Community tokens low
      • Community tokens limit reached
      • Website page published
      • Community app published
      • Integration sync failed
    • Chat
      • Chat channel created
      • Chat message posted
  • References
    • Role Types
    • Media Types
    • Response Codes
    • Model Status
    • Post Types
  • Schemas
    • WebhookActor
    • WebhookChannel
    • WebhookComment
    • WebhookCourse
    • WebhookEvent
    • WebhookLiveSession
    • WebhookMedia
    • WebhookMember
    • WebhookNewsletter
    • WebhookOffer
    • WebhookOpportunity
    • WebhookPost
    • WebhookPurchase
    • WebhookRegistration
    • WebhookSpace
    • WebhookSubscriber
    • WebhookSubscription
    • WebhookEnvelope
  1. Events

Event List

GET
https://backend.networked.co/events

📅 Get Events#

HTTP Method:#

GET

Endpoint:#

/events?start=0&count=10&apiType=0&filterType[0]=0

Headers:#

KeyValue (example)Required
x-api-keyyour-api-key-here✅
spaceIdRequired only when fetching for a space. Defaults to community.❌

Body Parameters:#

None

Sample Response:#

{
  "data": {
    "start": 0,
    "count": 1,
    "nextStart": false,
    "content": [
      {
        "eventId": "682fc8aef7f6520012bd7719",
        "name": "New events",
        "eventImage": "",
        "host": {
          "id": "6787893423126f0012a92ed6",
          "name": "Spencer Johnson Spencer",
          "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1741258763688_image (25).png",
          "title": "Software Development Test Engineer WBC Community Test Engineer"
        },
        "happeningNow": true,
        "startTime": 1747959300856,
        "endTime": 1748655000000,
        "location": "",
        "contactNumber": "",
        "contactEmail": "",
        "type": 0,
        "calendlyUrl": "",
        "locationMap": "",
        "interested": false,
        "going": false,
        "eventFormatType": 0,
        "timezone": {
          "key": "Asia/Colombo",
          "value": "(GMT+05:30) India Standard Time - Colombo",
          "timezone": "IST"
        },
        "isRecurringEvent": false,
        "newtworkedLiveOrHuddle": {
          "_id": "68340b09aace470012948d77",
          "status": 1,
          "host": "6787893423126f0012a92ed6",
          "community": "67959032bc6bea0012fdc671",
          "roomType": 0,
          "passPhrase": {
            "host": "0a7949b2-b2fa-4d4b-b88b-45bbf0925d59",
            "view": "ddd5ef2f-e2de-45cd-9a1e-8362325fa094"
          },
          "channelId": "239b1dae-9649-4cef-bbc1-248c083ae235",
          "roomTitle": "New events",
          "event": "682fc8aef7f6520012bd7719",
          "timeStamp": 1748241161568
        }
      }
    ]
  },
  "error": false,
  "message": "Success"
}

Response Interface:#

interface GetEventsResponse {
  data: {
    start: number;
    count: number;
    nextStart: boolean;
    content: Event[];
  };
  error: boolean;
  message: string;
}
interface Event {
  eventId: string;
  name: string;
  eventImage: string;
  host: {
    id: string;
    name: string;
    image: string;
    title: string;
  };
  happeningNow: boolean;
  startTime: number;
  endTime: number;
  location: string;
  contactNumber: string;
  contactEmail: string;
  type: number;
  calendlyUrl: string;
  locationMap: string;
  interested: boolean;
  going: boolean;
  eventFormatType: number;
  timezone: {
    key: string;
    value: string;
    timezone: string;
  };
  isRecurringEvent: boolean;
  newtworkedLiveOrHuddle: {
    _id: string;
    status: number;
    host: string;
    community: string;
    roomType: number;
    passPhrase: {
      host: string;
      view: string;
    };
    channelId: string;
    roomTitle: string;
    event: string;
    timeStamp: number;
  };
}

Response Field Descriptions:#

FieldTypeDescription
startnumberPagination start index
countnumberNumber of events returned
nextStartbooleanIndicates if more results are available
eventIdstringUnique identifier of the event
namestringTitle of the event
eventImagestringURL to the event image (if any)
hostobjectDetails about the host: id, name, image, and title
happeningNowbooleanWhether the event is currently ongoing
startTimenumberEvent start time (UNIX timestamp in ms)
endTimenumberEvent end time (UNIX timestamp in ms)
locationstringLocation of the event
contactNumberstringContact phone number for the event
contactEmailstringContact email for the event
typenumberEvent type: 0 Virtual, 1 In Person, 2 Hybrid
calendlyUrlstringOptional Calendly link
locationMapstringOptional location map link
interestedbooleanWhether the user is interested
goingbooleanWhether the user is attending
eventFormatTypenumberFormat type of the event
timezoneobjectTimezone metadata: key, label, and short code
isRecurringEventbooleanWhether this event repeats
newtworkedLiveOrHuddleobjectLinked video room/huddle configuration if any

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🔴512
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://backend.networked.co/events?start=0&count=10&apiType=1&filterType[0]=0' \
--header 'x-api-key: <your-api-key>'
Response Response Example
200 - Successful Response
{
    "data": {
        "start": 0,
        "count": 1,
        "nextStart": false,
        "content": [
            {
                "eventId": "682fc8aef7f6520012bd7719",
                "name": "New events",
                "eventImage": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1752323789285_image_cropper_95E9F582-95A2-4B37-B441-B22A639E3EDF-24354-0000092E57D8A423.jpg",
                "host": {
                    "id": "6787893423126f0012a92ed6",
                    "name": "Spencer Johnson Spencer",
                    "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1741258763688_image%20%2825%29.png",
                    "title": " Software Development Test Engineer WBC Community Test Engineer"
                },
                "happeningNow": true,
                "startTime": 1747959300856,
                "endTime": 1748655000000,
                "location": "Delhi, India~28.7040592~77.10249019999999",
                "contactNumber": "",
                "contactEmail": "",
                "type": 0,
                "calendlyUrl": "",
                "locationMap": "",
                "interested": false,
                "going": false,
                "eventFormatType": 0,
                "timezone": {
                    "key": "Asia/Colombo",
                    "value": "(GMT+05:30) India Standard Time - Colombo",
                    "timezone": "IST"
                },
                "isRecurringEvent": false,
                "newtworkedLiveOrHuddle": {
                    "_id": "68340b09aace470012948d77",
                    "status": 1,
                    "host": "6787893423126f0012a92ed6",
                    "community": "67959032bc6bea0012fdc671",
                    "roomType": 0,
                    "passPhrase": {
                        "host": "0a7949b2-b2fa-4d4b-b88b-45bbf0925d59",
                        "view": "ddd5ef2f-e2de-45cd-9a1e-8362325fa094"
                    },
                    "channelId": "239b1dae-9649-4cef-bbc1-248c083ae235",
                    "roomTitle": "New events",
                    "event": "682fc8aef7f6520012bd7719",
                    "timeStamp": 1748241161568
                }
            }
        ]
    },
   "error": false,
   "message": "Operation completed successfully"
}
Modified at 2026-10-23 11:10:26
Previous
Delete Event
Next
Media Center
Built with